<template>
    <v-select
        v-model="localValue"
        :items="countryLookup"
        item-text="name"
        item-value="countryCode"
        :cache-items="true"
        :error-messages="errors"
        :placeholder="placeholder"
        :hide-details="hideDetails"
        :clearable="clearable"
        outlined
    >
        <template slot="selection" slot-scope="data">
            <span class="d-inline-block text-truncate">
                {{ data.item.flag }} {{ data.item.name }}
            </span>
        </template>
        <template slot="item" slot-scope="data">
            {{ data.item.flag }} {{ data.item.name }}
        </template>
    </v-select>
</template>

<script>
    export default {
        name: "VCountrySelect",
        props: {
            value: {
                type: String,
                required: true
            },
            errors: [String, Array],
            placeholder: {
                type: String,
                default: ''
            },
            hideDetails: {
                type: [Boolean, String],
                default: false
            },
            clearable: {
                type: Boolean,
                default: false
            }
        },
        computed: {
            localValue: {
                get() {
                    return this.value;
                },
                set(val) {
                    this.$emit('input', val);
                }
            }
        }
    }
</script>

<style scoped>

</style>
